Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 600372 - Condor on windows won't run binaries w/o .exe extensions
Condor on windows won't run binaries w/o .exe extensions
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
Development
All Windows
high Severity high
: 1.3
: ---
Assigned To: Timothy St. Clair
Martin Kudlej
:
Depends On:
Blocks: 559596
  Show dependency treegraph
 
Reported: 2010-06-04 11:21 EDT by Robert Rati
Modified: 2010-10-20 07:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2010-06-04 11:21:20 EDT
Description of problem:
Condor on windows won't run binaries without an .exe extension.  There is a gt upstream for this issue (https://condor-wiki.cs.wisc.edu/index.cgi/tktview?tn=1278), but it does not appear to be working correctly.

Version-Release number of selected component (if applicable):
7.4.3-0.17

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Martin Kudlej 2010-09-27 08:15:42 EDT
There has been removed "exe" suffix from name of daemons and it works without it. But there are still some parts of Condor which have that suffix:
CREDD = $(SBIN)\condor_credd.exe
KBDD = $(SBIN)\condor_kbdd.exe
MAIL = $(SBIN)\condor_mail.exe

Is this ok?
Comment 4 Timothy St. Clair 2010-09-27 09:41:35 EDT
Yes this is fine, it supports both.  In the future the configs should be unified across all platforms.  The goal was to have generic configs which can be passed down from the config-store which can be platform agnostic.
Comment 5 Martin Kudlej 2010-09-27 10:06:08 EDT
I've tested it on Windows 2003/XP x i386/x86_64 and it works. -->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.